Searches for a Business.
curl --request GET \
--url https://api.creditriskmonitor.com/v1/BusinessLookup \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditriskmonitor.com/v1/BusinessLookup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditriskmonitor.com/v1/BusinessLookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Success": true,
"Data": [
{
"BusinessId": 123,
"PrimaryBusinessName": "<string>",
"Address1": "<string>",
"Address2": "<string>",
"CityName": "<string>",
"StateCode": "<string>",
"PostalCode": "<string>",
"CountryName": "<string>",
"CountryCode": "<string>",
"PhoneNumber": "<string>",
"TradingStatus": "<string>",
"IncorporatedDate": "<string>",
"IncorporatedIn": "<string>",
"IncorporatedInState": "<string>",
"TickerSymbol": "<string>",
"StockExchange": "<string>",
"FederalTaxId": "<string>",
"CIKNumber": "<string>",
"LatestStatementDate": "2023-11-07T05:31:56Z",
"Employees": 123,
"EmployeesAsOfDate": "2023-11-07T05:31:56Z",
"MarketCap": 123,
"BusinessNameOfMatch": "<string>",
"Address1OfMatch": "<string>",
"Address2OfMatch": "<string>",
"CityNameOfMatch": "<string>",
"StateCodeOfMatch": "<string>",
"PostalCodeOfMatch": "<string>",
"CountryCodeOfMatch": "<string>",
"PhoneNumberOfMatch": "<string>",
"FaxNumberOfMatch": "<string>",
"FriskScore": 123,
"FriskScoreDate": "2023-11-07T05:31:56Z",
"PayceScore": 123,
"PayceScoreDate": "2023-11-07T05:31:56Z",
"MoodysIssuerCount": 123,
"FitchRatingCount": 123,
"BankruptcyCount": 123,
"JudgmentCount": 123,
"LienCount": 123,
"BusinessNewsCount": 123,
"TradePayments": true,
"ParentBusinessId": 123
}
],
"ErrorCode": "<string>"
}Lookup
Search for a Business
Searches business entities using multiple search criteria including name, address, ticker symbol, tax ID, or phone number.
GET
/
v1
/
BusinessLookup
Searches for a Business.
Use the Login endpoint to retrieve the
SessionKey, then include it in the Authorization field for authentication.Authorizations
Enter the Session Key with the Bearer prefix, e.g. "Bearer abcde12345".
Query Parameters
Name of a Business to search for
Number of rows to return
How to match the Business. NM: Name Match. PN: Phone Match. TS: Ticker Symbol Match. TI: TaxId Match TW: Ticker Symbol Wildcard Match.
Street Address to search against
City Name to search against
State / Province to search against
Zip / Postal code to search against
Two digit code of the country
Phone Number to search against.
Ticker Symbol to search against.
Federal Tax Id to search against.
Match Threshold
A: All businesses. P: Public companies only.
Was this page helpful?